package org.yaoqiang.bpmn.engine.operation;

import java.util.logging.Logger;

import org.yaoqiang.bpmn.engine.runtime.Execution;

/**
 * SequenceFlowTake
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class SequenceFlowTake implements ExecutionOperation {
	
	private static Logger log = Logger.getLogger(SequenceFlowTake.class.getName());

	public void execute(Execution execution) {
		log.fine(execution + " takes transition " + execution.getSequenceFlow().getSourceFlowNode().getName() + " --> " + execution.getSequenceFlow().getTargetFlowNode().getName());
		execution.setFlowNode(execution.getSequenceFlow().getTargetFlowNode());
		execution.performOperation(SEQUENCE_FLOW_CREATE_SCOPE);
	}

}
