package org.yaoqiang.collaboration.panels;

import java.awt.Component;

import javax.swing.DefaultListCellRenderer;
import javax.swing.ImageIcon;
import javax.swing.JList;

import org.jivesoftware.smack.RosterEntry;

/**
 * ContractListCellRenderer
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class ContractListCellRenderer extends DefaultListCellRenderer {

	private static final long serialVersionUID = -8150354168868424137L;

	public Component getListCellRendererComponent(JList list, Object value, int index, boolean isSelected, boolean cellHasFocus) {
		super.getListCellRendererComponent(list, value, index, isSelected, cellHasFocus);
		RosterEntry item = (RosterEntry) value;
		setIcon(new ImageIcon(ContractListCellRenderer.class.getResource("/org/yaoqiang/collaboration/images/contact_green.png")));
		String name = item.getName();
		if (name != null && name.length() > 0) {
			setText(name);
		}
		return this;
	}

}
